%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppet-pacemaker


Name:           puppet-pacemaker
Version:        0.6.0
Release:        3%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/redhat-openstack/puppet-pacemaker

Source0:        https://github.com/openstack/%{upstream_name}/archive/%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=0.6.0
Patch0001: 0001-Update-reno-for-stable-0.6.x.patch
Patch0002: 0002-Initial-bundle-resource-support.patch
Patch0003: 0003-Add-a-release-note-for-the-newly-introduced-bundle-s.patch
Patch0004: 0004-Update-global-requirements.patch
Patch0005: 0005-Add-environment-variable.patch
Patch0006: 0006-Fix-bundle-location_rule-constraints.patch
Patch0007: 0007-HA-update-bundle-creation-to-be-compatible-with-newe.patch
Patch0008: 0008-Switch-from-oslosphinx-to-openstackdocstheme.patch
Patch0009: 0009-Fix-openstackdocstheme.patch
Patch0010: 0010-Pin-puppet-stdlib-to-4.16.0.patch
Patch0011: 0011-Switch-requires-for-wait-for-settle-into-resource-co.patch
Patch0012: 0012-Update-openstackdocstheme-1.16.0.patch
Patch0013: 0013-Update-URLs-in-documents-according-to-document-migra.patch
Patch0014: 0014-Update-reno-2.5.0.patch
Patch0015: 0015-Use-Python-to-compute-release-notes-version.patch
Patch0016: 0016-Use-ensure_resources-to-install-pacemaker-package.patch
Patch0017: 0017-Fix-brokenness-when-changing-the-value-of-an-existin.patch
Patch0018: 0018-Parse-pcs-auth-output-with-all-pcs-versions.patch
Patch0019: 0019-Update-openstackdocstheme-to-latest-version.patch
Patch0020: 0020-Fix-pacemaker-remote-Illegal-relationship-operand.-e.patch
Patch0021: 0021-Add-pcmk_stonith-provider.patch
Patch0022: 0022-Switch-the-stonith_agent_generator-to-pcmk_stonith-p.patch
Patch0023: 0023-Fix-up-package-relationship-in-generated-stonith-man.patch
Patch0024: 0024-Fix-resource-defaults-class.patch
Patch0025: 0025-Generate-fence_ironic-automatically.patch
Patch0026: 0026-Add-meta-attribute-support-to-stonith-manifests.patch
Patch0027: 0027-Fix-constraint-order-when-constraint_params-is-undef.patch
Patch0028: 0028-Add-autogenerated-fence-amt-manifest.patch
Patch0029: 0029-Allow-empty-pcmk_host_list.patch
Patch0030: 0030-Add-fence_compute-stonith-manifest.patch
Patch0031: 0031-Allow-more-than-one-order-rule-between-two-resources.patch
Patch0032: 0032-Implement-stonith-levels-resource.patch
Patch0033: 0033-Revert-Allow-more-than-one-order-rule-between-two-re.patch
Patch0034: 0034-Pin-jwt-to-1.5.6-and-rubocop-to-0.50.0.patch
Patch0035: 0035-Update-.gitreview-for-stable-0.6.x.patch
Patch0036: 0036-Update-UPPER_CONSTRAINTS_FILE-for-stable-0.6.x.patch
Patch0037: 0037-Switch-to-Zuul-v3-testing.patch
Patch0038: 0038-zuul-run-ovb-ha-oooq.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Tue Jan 09 2018 Steve Linabery <slinaber@redhat.com> 0.6.0-3
- zuul: run ovb-ha-oooq
- Switch to Zuul v3 testing
- Update UPPER_CONSTRAINTS_FILE for stable/0.6.x
- Update .gitreview for stable/0.6.x

* Mon Nov 20 2017 Jon Schlueter <jschluet@redhat.com> 0.6.0-2
- Pin jwt to 1.5.6 and rubocop to 0.50.0
- Revert "Allow more than one order rule between two resources."
- Implement stonith levels resource
- Allow more than one order rule between two resources.
- Add fence_compute stonith manifest
- Allow empty pcmk_host_list
- Add autogenerated fence-amt manifest
- Fix constraint::order when constraint_params is undef
- Add meta attribute support to stonith manifests
- Generate fence_ironic automatically
- Fix resource defaults class
- Fix up package relationship in generated stonith manifests
- Switch the stonith_agent_generator to pcmk_stonith provider
- Add pcmk_stonith provider
- Fix pacemaker remote 'Illegal relationship operand..' errors
- Update openstackdocstheme to latest version
- Parse pcs auth output with all pcs versions
- Fix brokenness when changing the value of an existing property
- Use ensure_resources to install pacemaker package
- Use Python to compute release notes version
- Update reno>=2.5.0
- Update URLs in documents according to document migration
- Update openstackdocstheme>=1.16.0
- Switch requires for wait-for-settle into resource collectors
- Pin puppet-stdlib to 4.16.0
- Fix openstackdocstheme
- Switch from oslosphinx to openstackdocstheme
- HA: update bundle creation to be compatible with newest pcs
- Fix bundle location_rule constraints
- Add environment variable
- Update global requirements
- Add a release note for the newly introduced bundle support
- Initial bundle resource support
- Update reno for stable/0.6.x

* Sat Aug 26 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 0.6.0-1.e0f9c425git
- Pike update 0.6.0 (e0f9c4253abce26de340a8c8256c87f5c9f27e02)



